# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "rbw"
version = "1.4.0"
authors = ["Jesse Luehrs <doy@tozt.net>"]
description = "Unofficial Bitwarden CLI"
readme = "README.md"
keywords = ["bitwarden"]
categories = ["command-line-utilities", "cryptography"]
license = "MIT"
repository = "https://git.tozt.net/rbw"
[package.metadata.deb]
assets = [["target/release/rbw", "usr/bin/", "755"], ["target/release/rbw-agent", "usr/bin/", "755"], ["target/release/completion/bash", "usr/share/bash-completion/completions/rbw", "644"], ["target/release/completion/zsh", "usr/share/zsh/vendor-completions/_rbw", "644"], ["target/release/completion/fish", "usr/share/fish/completions/rbw.fish", "644"], ["README.md", "usr/share/doc/rbw/README", "644"]]
depends = "pinentry"
license-file = ["LICENSE"]
[dependencies.aes]
version = "0.7"

[dependencies.anyhow]
version = "1.0"

[dependencies.arrayvec]
version = "0.7"

[dependencies.async-trait]
version = "0.1"

[dependencies.base32]
version = "0.4"

[dependencies.base64]
version = "0.13"

[dependencies.block-modes]
version = "0.8"

[dependencies.block-padding]
version = "0.2"

[dependencies.daemonize]
version = "0.4"

[dependencies.directories]
version = "4.0"

[dependencies.env_logger]
version = "0.9"

[dependencies.hkdf]
version = "0.11"

[dependencies.hmac]
version = "0.11"
features = ["std"]

[dependencies.humantime]
version = "2.1"

[dependencies.libc]
version = "0.2"

[dependencies.log]
version = "0.4"

[dependencies.nix]
version = "0.23"

[dependencies.paw]
version = "1.0"

[dependencies.pbkdf2]
version = "0.9"

[dependencies.percent-encoding]
version = "2.1"

[dependencies.rand]
version = "0.8"

[dependencies.region]
version = "3.0"

[dependencies.reqwest]
version = "0.11"
features = ["blocking", "json", "rustls-tls-native-roots"]
default-features = false

[dependencies.rsa]
version = "0.5"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_path_to_error]
version = "0.1"

[dependencies.serde_repr]
version = "0.1"

[dependencies.sha-1]
version = "0.9"

[dependencies.sha2]
version = "0.9"

[dependencies.structopt]
version = "0.3"
features = ["paw", "wrap_help"]

[dependencies.tempfile]
version = "3.2"

[dependencies.term_size]
version = "0.3"

[dependencies.textwrap]
version = "0.11"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.12"
features = ["full"]

[dependencies.totp-lite]
version = "1.0"

[dependencies.url]
version = "2.2"

[dependencies.uuid]
version = "0.8"
features = ["v4"]

[dependencies.zeroize]
version = "1.4"
